Subject: Re: [RTG-DIR] [netmod] RtgDir review: draft-ietf-netmod-schema-mount-10.txt

From: Martin Bjorklund <[email-masked]>
Date: Mon, 06 Aug 2018 12:45:52 +0200 (CEST)

Hi,

Thank you for your review!  Comments inline.

"Bocci, Matthew (Nokia - GB)" <[email-masked]> wrote:
> Hello,
> 
> I have been selected as the Routing Directorate reviewer for this
> draft. The Routing Directorate seeks to review all routing or
> routing-related drafts as they pass through IETF last call and IESG
> review, and sometimes on special request. The purpose of the review is
> to provide assistance to the Routing ADs. For more information about
> the Routing Directorate, please see
> ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
> 
> Although these comments are primarily for the use of the Routing ADs,
> it would be helpful if you could consider them along with any other
> IETF Last Call comments that you receive, and strive to resolve them
> through discussion or by updating the draft.
> 
> Document: draft-ietf-netmod-schema-mount-10.txt
> Reviewer: Matthew Bocci
> Review Date: 11 June 2018
> IETF LC End Date: unknown
> Intended Status: Standards Track
> 
> Summary:
> 
> This document is basically ready for publication, but has nits that
> should be considered prior to publication.
> 
> Comments:
> 
> The draft is clearly written and easy to understand. I have no
> significant concerns although there are a few minor editorial nits
> that I think should be addressed.
> 
> 
> Major Issues:
> 
> No major issues found.
> 
> Minor Issues:
> 
> No minor issues found.
> 
> Nits:
> 
> I found the references to the mechanism as simply "schema mount" made
> the document harder to parse than it should be. For example
> "The basic idea of schema mount is to label...". It would be more
> readable to always refer to the mechanism as "a schema mount" or "the
> schema mount"
> as appropriate.

A similar comment was made by the opsdir reviewer.  Since the draft
says in the Introduction:

  This document introduces a new mechanism, denoted as schema
  mount, that allows for mounting one data model [...]

we have added "schema mount" to the terminology section:

  - schema mount: The mechanism to combine data models defined in this
    document.

> There are a few other places where the indefinite article is missing
> e.g. the definitions in section 2.1 would be
> more readable if they started with 'a', thus: "schema: a collection of
> schema trees..."

Fixed.

> Section 2.1 Glossary of new terms
> "- Schema: collection of schema trees with a common root"
> I am not sure that you can really say that 'schema' is a new
> term. Maybe this could be rephrased to say "the term schema is used in
> this document to refer to..."

We have merged this section with the previous section, and instead
added:

   The following additional terms are used within this document:

      [...]

      o  schema: A collection of schema trees with a common root.

(thus it is no longer labeled as being a "new term")

/martin